Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056633 - Openning mail with unknown protocol in message displays error message
Summary: Openning mail with unknown protocol in message displays error message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: thunderbird
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jan Horak
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 15:26 UTC by Marian Csontos
Modified: 2017-12-06 11:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:57:39 UTC


Attachments (Terms of Use)

Description Marian Csontos 2014-01-22 15:26:15 UTC
Description of problem:
When I open a message with something like `git+ssh://...` or `nfs+iso://...` following error opens:

An error occurred while loading or saving configuration information for thunderbird. Some of your configuration settings may not work properly.

Bad key or directory name: "/desktop/gnome/url-handlers/nfs+iso/command": `+' is an invalid character in key/directory names
Bad key or directory name: "/desktop/gnome/url-handlers/nfs+iso/command": `+' is an invalid character in key/directory names

Version-Release number of selected component (if applicable):
thunderbird-24.2.0-1.el6_5.x86_64
xulrunner-17.0.10-1.el6_4.x86_64 <-- this looks interesting too

How reproducible:
100%

Steps to Reproduce:
1. open mail containing `nfs+iso://`

Actual results:
Error message

Expected results:
Silently ignore unknown protocols

Additional info:

Comment 2 Duncan Mortimer 2014-05-22 15:55:47 UTC
We recently updated a RHEL 6 desktop to the latest Thunderbird RPM and the user of the machine now gets a pop error whenever sending mail...

An error occurred while loading or saving configuration information for 
thunderbird. Some of your configuration settings may not work properly.
 
 Bad key or directory name: "/desktop/gnome/url-handlers/GMT+02/command": 
 `+' is an invalid character in key/directory names
 Bad key or directory name: "/desktop/gnome/url-handlers/GMT+02/command": 
 `+' is an invalid character in key/directory names
 Bad key or directory name: "/desktop/gnome/url-handlers/GMT+02/command": 
 `+' is an invalid character in key/directory names
 Bad key or directory name: "/desktop/gnome/url-handlers/GMT+02/command": 
 `+' is an invalid character in key/directory names

They had been using thunderbird-24.4.0-1.el6_5 without issue, the problem appearing after installing thunderbird-24.5.0-1.el6_5.

This Ubuntu bug report discusses the same issue and mention is made of a patch for RHEL towards the end. https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/411358

Comment 3 Jan Kurik 2017-12-06 11:57:39 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.